Binary files wikit-orig.vfs/lib/wikit/.db.tcl.swp and wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/.db.tcl.swp differ
Binary files wikit-orig.vfs/lib/wikit/.format.tcl.swp and wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/.format.tcl.swp differ
diff -uNr wikit-orig.vfs/lib/wikit/db.tcl wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/db.tcl
--- wikit-orig.vfs/lib/wikit/db.tcl	2007-04-10 06:44:06.000000000 -0500
+++ wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/db.tcl	2010-01-19 08:51:52.000000000 -0600
@@ -317,6 +317,10 @@
       puts "No suitable index found, update ignored."
     }
   }
+
+  proc CountPages {{db wdb}} {
+    return [mk::view size $db.pages]
+  }
 }
 
 ### Local Variables: ***
diff -uNr wikit-orig.vfs/lib/wikit/web.tcl wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/web.tcl
--- wikit-orig.vfs/lib/wikit/web.tcl	2007-04-10 06:44:06.000000000 -0500
+++ wikit-betterformatting-7wikitcl+stever+rsk.vfs/lib/wikit/web.tcl	2010-01-18 23:43:33.000000000 -0600
@@ -370,11 +370,18 @@
     
     append menu "$Search$Changes$Refs$About$Home$Help"
     
+    if {[info exists ::FooterText]} {
+      append menu $::FooterText
+    }
+    if {[info exists ::FooterTextReplacement]} {
+      set menu [subst $::FooterTextReplacement]
+    }
+
     cgi_http_head {
       cgi_content_type
       pragma no-cache
     }
-
+    
     # now dispatch on the type of request
     
     cgi_html {
